<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.coupon.mapper.CouponRangeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.coupon.model.CouponRange" >
    <id column="COUPON_RANGE_ID" property="couponRangeId" jdbcType="BIGINT" />
    <result column="COUPON_ID" property="couponId" jdbcType="BIGINT" />
    <result column="ORG_ID" property="orgId" jdbcType="BIGINT" />
  </resultMap>
  <sql id="Base_Column_List" >
    COUPON_RANGE_ID, COUPON_ID, ORG_ID
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from coupon_range
    where COUPON_RANGE_ID = #{couponRangeId,jdbcType=BIGINT}
  </select>
  <select id="selectByCouponId" resultType="CouponRangeExp" parameterType="java.lang.Long" >
    select 
    couran.COUPON_RANGE_ID as couponRangeId, couran.COUPON_ID as couponId,
    couran.ORG_ID as orgId,org.ORG_NAME as orgName
    from coupon_range couran left join org org on couran.ORG_ID=org.ORG_ID
    where COUPON_ID = ${couponid}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from coupon_range
    where COUPON_RANGE_ID = #{couponRangeId,jdbcType=BIGINT}
  </delete>
  <delete id="deleteByCouponId" parameterType="java.lang.Long" >
    delete from coupon_range
    where COUPON_ID = ${couponid}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.coupon.model.CouponRange" >
    insert into coupon_range (COUPON_RANGE_ID, COUPON_ID, ORG_ID
      )
    values (#{couponRangeId,jdbcType=BIGINT}, #{couponId,jdbcType=BIGINT}, #{orgId,jdbcType=BIGINT}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.coupon.model.CouponRange" >
    insert into coupon_range
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="couponRangeId != null" >
        COUPON_RANGE_ID,
      </if>
      <if test="couponId != null" >
        COUPON_ID,
      </if>
      <if test="orgId != null" >
        ORG_ID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="couponRangeId != null" >
        #{couponRangeId,jdbcType=BIGINT},
      </if>
      <if test="couponId != null" >
        #{couponId,jdbcType=BIGINT},
      </if>
      <if test="orgId != null" >
        #{orgId,jdbcType=BIGINT},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.coupon.model.CouponRange" >
    update coupon_range
    <set >
      <if test="couponId != null" >
        COUPON_ID = #{couponId,jdbcType=BIGINT},
      </if>
      <if test="orgId != null" >
        ORG_ID = #{orgId,jdbcType=BIGINT},
      </if>
    </set>
    where COUPON_RANGE_ID = #{couponRangeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.coupon.model.CouponRange" >
    update coupon_range
    set COUPON_ID = #{couponId,jdbcType=BIGINT},
      ORG_ID = #{orgId,jdbcType=BIGINT}
    where COUPON_RANGE_ID = #{couponRangeId,jdbcType=BIGINT}
  </update>
</mapper>